import { ElMessageBox, /* ElMessage */ } from 'element-plus'
import { redirectToSingleLogin } from '@/utils'

export function useLoginout(store) {
  console.log(11, ElMessageBox)
  ElMessageBox.confirm('确定退出登录吗？', '提示', {
    confirmButtonText: '确定',
    cancelButtonText: '取消',
    type: 'warning',
  }).then(() => {
    store.dispatch('app/LogOut').then(res => { redirectToSingleLogin(res, true) })
  }).catch(() => {})
}
