export default {
  name: 'tooltip',
  handler: {
    mounted(el, binding) {
      // const { value, arg } = binding
      // 鼠标移入时，将浮沉元素插入到body中
      el.onmouseenter = function(e) {
        // 创建浮层元素并设置样式
        const vcTooltipDom = document.createElement('div')
        vcTooltipDom.style.cssText = 'position:absolute;background: #696969;color:#fff;font-size:12px;z-index:1000'
        // 设置id方便寻找
        vcTooltipDom.setAttribute('id', 'vc-tooltip')
        // 将浮层插入到body中
        document.body.appendChild(vcTooltipDom)
        // 浮层中的文字 通过属性值传递动态的显示文案
        document.getElementById('vc-tooltip').innerHTML = el.innerText
        // el.getAttribute('tip')
      }
      // 鼠标移动时，动态修改浮沉的位置属性
      el.onmousemove = function(e) {
        const vcTooltipDom = document.getElementById('vc-tooltip')
        vcTooltipDom.style.top = e.clientY + 15 + 'px'
        vcTooltipDom.style.left = e.clientX + 15 + 'px'
      }
      // 鼠标移出时将浮层元素销毁
      el.onmouseleave = function() {
        // 找到浮层元素并移出
        const vcTooltipDom = document.getElementById('vc-tooltip')
        vcTooltipDom && document.body.removeChild(vcTooltipDom)
      }
    },
  }
}
