import { unref } from 'vue'
import store from '@/store'

const langMap = {
  zh: 0,
  en: 1
}
export const useLangCompute = (arr) => {
  const l = store.getters['locale/currentLocale']
  const currLang = unref(l)
  const index = langMap[currLang]
  return arr[index]
}
