import { reactive } from 'vue'

export const useProfileVisible = () => {
  const personalConfig = reactive({
    title: '个人信息',
    visible: false
  })
  const switchProfileVisible = (status) => {
    personalConfig.visible = status
  }
  return {
    personalConfig,
    switchProfileVisible
  }
}
