export default {
  greetings: 'Hello {name},start your day at work!',
  menuMine: 'My TodoList',
  apiError: 'Abnormal system, please contact the administrator to deal with!',
  networkError: 'Network error, please contact the administrator!',
  noExamineFlow: 'No approval process yet',
  noData: 'No Data',
  loginFailed: 'Login Failed',
  selectAll: 'All',
  from: 'From',
  to: 'To',
  day: 'Day',
  week: 'Week',
  year: 'Year',
  goto: 'To',
  clearAll: 'ClearAll',
  selectProject: 'Select Project',
  success: 'Success',
  fail: 'Fail',
  status: {
    draft: 'Revised version',
    reject: 'Reject',
    inReview: 'InReview',
    published: 'Published',
    toVoid: 'Void',
  },
  startTime: 'StartTime',
  endTime: 'EndTime',
  startDate: 'StartDate',
  endDate: 'EndDate',
  processing: 'Processing',
  loading: 'Loading',
  system: 'System',
  portfolio: 'Portfolio',
  staticLov: {
    menuType: {
      menu: 'Menu',
      button: 'Button',
      folderButton: 'Permission Button',
    },
    hideshow: {
      show: 'Show',
      hide: 'Hide',
    },
    roleType: {
      system: 'System role',
      project: 'Project role',
      portfolio: 'Project Portfolio Role',
    },
    yesNo: {
      no: 'No',
      yes: 'Yes',
    },
    auditStatus: {
      // pass: '通过',
      // reject: '拒绝',
      done: 'Completed',
      back: 'Back',
      processed: 'Processing'
    },
    taskStatus: {
      normalNot: 'Unfinished',
      wellDone: 'Finished',
      expiredNot: 'Postponed'
    }
  },
  layoutHeader: {
    zh: 'Chinese',
    en: 'English',
    light: 'Light',
    dark: 'Dark',
    exit: 'Exit',
    personalInfo: 'Personal Info.',
    problemFeedback: 'Problem Feedback',
    problemFkMsg: 'Jump to iHaier and consult the system process or feedback system problems online',
    search: 'Search items, tasks, approvals, etc',
    book: 'View the operation manual'
  }
}
