// 我的任务抽屉
export default {
  headerTitle: '查看项目详情',
  tab: {
    normal: '常规',
    examine: '审批',
    respon: '责任人',
    rely: '依赖',
    model: '型号'
  },
  title: {
    taskFollow: '计划 -> 跟踪',
    delivers: '交付物',
    examineFlow: '任务审批流程',
    review: '评审',
    // 依赖折叠
    prevTask: '前置任务',
    nextTask: '后置任务'
  },
  buttons: {
    closeTask: '关闭任务'
  },
  // 任务抽屉表单部分
  taskFollow: {
    planDate: '计划开始/完成时间:',
    planHours: '计划工时:',
    realDate: '实际开始/完成时间:',
    realHours: '实际工时:',
    taskProgressDate: '完成率达成时间:',
    taskProcess: '完成率:',
  },
  // 任务抽屉交付物列表
  deliversColumns: {
    taskFileName: '附件',
    deliverCount: '历史', // '历史附件',
    deliverTemplate: '交付物模板',
    dutyUserName: '责任人',
    wfMouldDefName: '审批流',
    contactProjectFile: '关联项目文档',
    contactProjectCode: '关联项目编码',
    innerStatus: {
      inApproval: '审核中', // 英文的时候：先看下后台返回的此字段的值是什么这里就写什么！（待办=》任务抽屉=》交付物=》状态列（当提交了审批后））
      completed: '完成', // 英文的时候：先看下后台返回的此字段的值是什么这里就写什么！（待办=》任务抽屉=》交付物=》状态列（当提交了审批后））
      transInApproval: '变更审核中'
    },
    templateFile: '模板文件'
  },
  // 任务抽屉交付物列表-历史附件
  deliversHistory: {
    title: '交付物-历史附件',
    fileName: '名称',
  },
  // 依赖table
  relyColumns: {
    name: '任务名称',
    relyTypeName: '依赖类型',
    delay: '延隔(天)'
  },
  // 责任人table
  responColumns: {
    name: '用户名称',
    type: '用户类型',
    distribution: '分配率',
    workHours: '工时',
    shareTask: '分享任务'
  },
  // 任务抽屉交付物列表-发起审批流程弹窗
  deliversExamine: {
    title: '交付物-状态',
    examineRequired1: '请勾选确认并发起审批流程',
    examineRequired2: '确认并完成',
    examineRequired3: '确认并发起审批流程',
  },
  confirm: {
    noUploadDeliversFile: '未上传交付物附件！',
    noConfirmDeliversStatus: '未确认(审核/完成)状态！',
    noExamineFinished: '未审批完毕！',
    noFlowInstanceId: '缺少流程实例id！',
    initiateApproval1: '是否发起当前交付物审批流程？发起后将不可再上传此交付物附件。',
    initiateApproval2: '是否确认当前交付物为已完成状态？',
    deliversFileRequired: '请先上传交付物附件！',
    noSpaceCode: '未获取到当前项目的空间，不能获取该项目交付物！',
    closeTaskNotice: '确认关闭任务并发起任务关闭审批?',
    submitDeliversNotice: '提交后，将发起以下交付物审批流程，请确认是否提交！',
  },
  // 审批tab ---------- table
  examineType: {
    all: '全部',
    task: '任务',
    delivers: '交付物'
  },
  examineColumns: {
    wfMouldDefName: '审批流程',
    wfTypeName: '审批类型',
    taskStatusName: '审批状态',
  },
  examineSingleFlow: {
    assignee: '责任人：',
    examineStatus: '审批状态：',
    auditContent: '审批意见：',
    endTime: '审批时间：',
  },
  // 责任人tab ---------- table
  personLiableConfirm: {
    addPersonConfirm: '您确定要将当前任务指定给：{persons} ？'
  }
}
