// 我的任务抽屉
export default {
  headerTitle: 'View Projet Details',
  tab: {
    normal: 'General',
    examine: 'Approval',
    respon: 'Responsible',
    rely: 'Dependency',
    model: 'Model'
  },
  title: {
    taskFollow: 'Plan -> Track',
    delivers: 'Deliverable',
    examineFlow: 'Task Approval Process',
    review: 'review',
    // 依赖折叠
    prevTask: 'Front Task',
    nextTask: 'Post Task'
  },
  buttons: {
    closeTask: 'Close Task'
  },
  // 任务抽屉表单部分
  taskFollow: {
    planDate: 'Plan Start/Complete Time:',
    planHours: 'Planned Man-hour:',
    realDate: 'Actual Start/Completion Time:',
    realHours: 'Actual Man-hour:',
    taskProgressDate: 'Completion Rate Time:',
    taskProcess: 'Completion Rate:',
  },
  // 任务抽屉交付物列表
  deliversColumns: {
    taskFileName: 'Attachment',
    deliverCount: 'History', // '历史附件',
    deliverTemplate: 'Deliverable Template',
    dutyUserName: 'Responsible',
    wfMouldDefName: 'Approval',
    contactProjectFile: 'Associated Project Documents',
    contactProjectCode: 'Associated Project Code',
    innerStatus: {
      inApproval: 'Under Approval', // 英文的时候：先看下后台返回的此字段的值是什么这里就写什么！（待办=》任务抽屉=》交付物=》状态列（当提交了审批后））
      completed: 'Completed', // 英文的时候：先看下后台返回的此字段的值是什么这里就写什么！（待办=》任务抽屉=》交付物=》状态列（当提交了审批后））
      transInApproval: 'Under Approval Change'
    },
    templateFile: 'Template Files'
  },
  // 任务抽屉交付物列表-历史附件
  deliversHistory: {
    title: 'Historical Attachments',
    fileName: 'Name',
  },
  // 依赖table
  relyColumns: {
    name: 'Task Name',
    relyTypeName: 'Dependency Type',
    delay: 'Delay(days)'
  },
  // 责任人table
  responColumns: {
    name: 'User Name',
    type: 'User Type',
    distribution: 'Allocated',
    workHours: 'Man-hour',
    shareTask: 'Sharing Task'
  },
  // 任务抽屉交付物列表-发起审批流程弹窗
  deliversExamine: {
    title: 'Deliverable-status',
    examineRequired1: 'Check Confirm And Initiate The Approval Process',
    examineRequired2: 'Confirm And Complete',
    examineRequired3: 'Confirm And Initiate The Approval Process',
  },
  confirm: {
    noUploadDeliversFile: 'Deliverable Attachments Not Uploaded!',
    noConfirmDeliversStatus: 'Not Confirmed (reviewed/completed) Status!',
    noExamineFinished: 'Not Yet Approved!',
    noFlowInstanceId: 'Missing Process Instance id',
    initiateApproval1: 'Do you want to initiate the current deliverable approval process? This deliverable attachment will no longer be uploaded after initiation',
    initiateApproval2: 'Do you confirm that the current deliverable is completed state?',
    deliversFileRequired: 'Please Upload The Delivery Attachment First!',
    noSpaceCode: 'The Current Project Has Not Been Obtained, And The Project Deliverables Cannot Be Obtained!',
    closeTaskNotice: 'Confirm Close Task And Initiate Task Close Approval?',
    submitDeliversNotice: 'After submission, the following delivery approval process will be initiated. Please confirm whether to submit it!',
  },
  // 审批tab ---------- table
  examineType: {
    all: 'All',
    task: 'Task',
    delivers: 'Deliverable'
  },
  examineColumns: {
    wfMouldDefName: 'Approval Process',
    wfTypeName: 'Approval Type',
    taskStatusName: 'Approval Status',
  },
  examineSingleFlow: {
    assignee: 'Responsible:',
    examineStatus: 'Approval Status:',
    auditContent: 'Approval Comment:',
    endTime: 'Approval Time:',
  },
  // 责任人tab ---------- table
  personLiableConfirm: {
    addPersonConfirm: 'Are You Sure To Specify The Current Task To :{persons} ?'
  }
}
