import Layout from '@/Layout/index.vue'
export default [
  {
    path: '/lpm',
    redirect: '/lpm/task',
    name: 'lpm',
    meta: {
      roles: ['admin', 'manager', 'visitor'],
      title: 'lpm',
      icon: 'empty-shouye'
    },
    component: Layout,
    children: [
      {
        path: 'task',
        name: 'task',
        meta: {
          roles: ['admin', 'manager', 'visitor'],
          title: 'task',
          auth: true
        },
        component: () => import('@/views/demos/demo1.vue'),
      },
      {
        path: 'userconfig',
        name: 'userconfig',
        meta: {
          roles: ['admin', 'manager', 'visitor'],
          title: 'userconfig',
          auth: true
        },
        component: () => import('@/views/demos/demo2.vue'),
      },
      {
        path: 'test',
        name: 'test',
        meta: {
          roles: ['admin', 'manager', 'visitor'],
          title: 'test',
          auth: true
        },
        component: () => import('@/views/demos/demo1.vue'),
      }
    ]
  },
]
