import { createStore } from 'vuex'
import { importAll } from '@/utils'

const modulesFiles = require.context('./modules', false, /\.js$/)
const modules = importAll(modulesFiles)

const store = createStore({
  modules,
})

export function setupStore(app) {
  app.use(store)
}

export default store
